Saltar al contenido
Guías
AlmacenamientoArchivos
asset:read

Obtener un archivo

Obtiene un archivo por su ID.

GET/v1/storage/assets/{id}

Obtiene un archivo por su ID.

Autorización

bearerAuth
AutorizaciónBearer <token>

Token de acceso OAuth 2.0 emitido por Ecomiq Auth.

Ubicación: header

Parámetros de ruta

id*string

Identificador único del recurso.

Parámetros de cabecera

x-Store-Id?string

Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.

Authorization*string

Token bearer OAuth 2.0.

Cuerpo de la respuesta

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/storage/assets/7204558912004325301" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004325301",  "fileName": "Example resource",  "publicUrl": "https://example.com/resource",  "contentType": "example",  "size": 1,  "width": 1,  "height": 1,  "altText": "example",  "directory": "example",  "metadata": {    "key": "example"  },  "createdOn": "2026-08-01T15:30:00Z"}